import 'package:fis_measure/process/workspace/measure_3d_view_controller.dart';
import 'package:flyinsono/js_platform/handlers/base.dart';
import 'package:flyinsono/js_platform/methods.dart';
import 'package:get/get.dart';

class MdlFileLoadedHandler extends MethodHandlerBase {
  MdlFileLoadedHandler() : super(TargetMethodName.MdlFileLoaded);

  @override
  void execute(List<String> args) {
    final measure3DViewController = Get.find<Measure3DViewController>();
    measure3DViewController.handleMdlFileLoaded(args[0]);
  }
}

class AdjustPlaneImageHandler extends MethodHandlerBase {
  AdjustPlaneImageHandler() : super(TargetMethodName.AdjustPlaneImage);

  @override
  void execute(List<String> args) {
    final measure3DViewController = Get.find<Measure3DViewController>();
    measure3DViewController.handleUpdateCarotid2DImage(args[0]);
  }
}
